Skip to main content
POST
Create experiment

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

Body

application/json
name
string
required

The experiment name

Example:

"Example experiment"

key
string
required

The experiment key

Example:

"experiment-key-123abc"

iteration
object
required

Details on the construction of the initial iteration

description
string

The experiment description

Example:

"An example experiment, used in testing"

maintainerId
string

The ID of the member who maintains this experiment

Example:

"12ab3c45de678910fgh12345"

holdoutId
string

The ID of the holdout

Example:

"f3b74309-d581-44e1-8a2b-bb2933b4fe40"

tags
string[]

Tags for the experiment

methodology
enum<string>

The results analysis approach.

Available options:
bayesian,
frequentist,
export_only
Example:

"bayesian"

analysisConfig
object

Details of the Analysis Configuration for this experiment

dataSource
enum<string>

The source of metric data in order to analyze results. Defaults to "launchdarkly" when not provided.

Available options:
launchdarkly,
snowflake
Example:

"snowflake"

type
enum<string>

The type of experiment.

Available options:
experiment,
mab,
holdout
Example:

"experiment"

Response

Experiment response

key
string
required

The experiment key

Example:

"experiment-key-123abc"

name
string
required

The experiment name

Example:

"Example experiment"

_maintainerId
string
required

The ID of the member who maintains this experiment.

Example:

"12ab3c45de678910fgh12345"

_creationDate
integer<int64>
required

Timestamp of when the experiment was created

Example:

"1654104600000"

environmentKey
string
required

The location and content type of related resources

Example:
_id
string

The experiment ID

Example:

"12ab3c45de678910fgh12345"

description
string

The experiment description

Example:

"An example experiment, used in testing"

methodology
enum<string>

The results analysis approach.

Available options:
bayesian,
frequentist,
export_only
Example:

"bayesian"

dataSource
enum<string>

The source of metric data in order to analyze results. Defaults to "launchdarkly" when not provided.

Available options:
launchdarkly,
snowflake
Example:

"snowflake"

archivedDate
integer<int64>

Timestamp of when the experiment was archived

Example:

"1654104600000"

tags
string[]

Tags for the experiment

Example:
holdoutId
string

The holdout ID

Example:

"f3b74309-d581-44e1-8a2b-bb2933b4fe40"

currentIteration
object

Details on the current iteration

type
string

The experiment type

Example:

"experiment"

draftIteration
object

Details on the current iteration. This iteration may be already started, or may still be a draft.

previousIterations
object[]

Details on the previous iterations for this experiment.

analysisConfig
object

Details of the Analysis Configuration for this experiment.